


.unitbuttondiv
{
  width:  75px; 
   aspect-ratio: 1 / 1;
  position: flex;
  background-size:100%; 
  background-color: rgba(62, 141, 52, 0.5);
  border-radius: 15px;
  border: none;
  bottom:0;
  
  display: flex;               /* Enable flexbox */
  justify-content: center;     /* Horizontal centering */
  align-items: center; 
  margin-right: auto;
  margin-left: auto;
  margin-top: auto;
  user-select: none;
  margin: auto;
}
.unitbutton
{
  width: 70px; 
  aspect-ratio: 1/1;
  position: flex;
  background-position: center;
  background-size:90%; 
  background-color: transparent;
  background-repeat: no-repeat;
  border: none;
  z-index: 10;
  justify-content: center;
  display: flex;
  user-select: none;
  outline: none;
  transition: opacity 0.5s ease
  
}


.buttonprice
{
  width: auto; 
  color: #fff;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  font-size: 24px;
  text-align: center;
  font-weight:bold;
  bottom: 0;
  right: 0;
  left: 0;
  -webkit-text-stroke: 6px rgb(0, 0, 0);
  paint-order: stroke fill;
  user-select: none;
  display: flex;
  position: flex;
  justify-content: center;
  align-items: center;
}
.leaderboardtext{
  text-align: right;
  display: block;
  order: 2;
  justify-content: right;
  position: absolute; right: 10px;
  word-break: normal;
  overflow: hidden;
  right:10px
}

.autocapturebutton{
opacity: 0.9;
}
.autocapturebutton:hover{
opacity: 1;
}
.leaderboardtextleft{
  display: flex;
  justify-content: left;
  text-align: left;
  order: 1;
  position: flex;
  word-break: normal;
  overflow: hidden;
  left: 0;

}

#unitcreator{
  position: relative;
  border: none;
  left: 0;
  right: 0;
  display:flex;
  height: auto;
  width: max-content;
  margin: auto;
  user-select: none;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: space-between; 
  align-items: center;
  gap:3px;
}

.cooldownbarcontainer{
  width: 60px;
  height: 60px;
  position: relative;
  color: rgba(255, 255, 255, 1);
  background: rgba(0, 0, 0, 0);
  display: flex;
  font-weight:bold;
  margin: auto;
  background-repeat: no-repeat;
  justify-content: center; 
  align-items: center; 
  margin:auto;
  visibility: hidden;
  margin-bottom: 10px;
  margin-right: 15px;
}
.cooldownbardiv{
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.1);
  border-radius: 50%;
  position: flex;
  outline:10px solid rgba(0, 0, 0, 0.5);
  place-items: center;
  justify-content: center; align-items: center;
  display: flex;
}

.cooldownbarimg{
  width: 80%; 
  height: 80%; 
  opacity: 0.8; 
  display: flex; 
  margin:auto;
  margin-left: auto;
  margin-right: auto;
  margin-top: auto;
  margin-bottom:10px;
  position: flex;
  user-select: none;
}

.outtericon{
  width: 55px;
  height: 55px;
  border: 7px solid #3a3833;
  border-radius: 18px;
  user-select: none; 
  display: flex;
}
.innericon{
  width: 55px;
  display: flex;
  background-color: #272727;
  border-bottom:8px solid #1f1f1f;
  border-left: none;
  border-right: none;
  border-top: none;
  border-radius: 10px;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  background-position: center; 
  background-repeat: no-repeat; 
  background-size: 70%;
  outline: none;
  
}



.innericonB{
  width: 55px;
  display: flex;
  background-color: hsl(235, 86%, 65%);
  border-bottom:8px solid hsl(235, 46%, 47%);
  border-left: none;
  border-right: none;
  border-top: none;
  border-radius: 10px;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  background-position: center; 
  background-repeat: no-repeat; 
  background-size: 70%;
  outline: none;
  
}
.innericonC{
  width: 55px;
  display: flex;
  background-color: hsl(0, 84%, 44%);
  border-bottom:8px solid hsl(0, 83%, 30%);
  border-left: none;
  border-right: none;
  border-top: none;
  border-radius: 10px;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  background-position: center; 
  background-repeat: no-repeat; 
  background-size: 70%;
  outline: none;
  
}
.innericonB:active{
  background-color: hsl(235, 46%, 47%);
  border-bottom: 0px solid hsl(235, 86%, 65%);
  border-top: 8px solid hsl(235, 86%, 65%);
}
.innericonC:active{
  background-color: hsl(0, 83%, 30%);
  border-bottom: 0px solid hsl(0, 84%, 44%);
  border-top: 8px solid hsl(0, 84%, 44%);
}

.playbutton{
  padding: 10px;
  width: 100%;
  height:100%;
  border-radius: 10px;
  font-size: 30px;
  font-weight:bold;
  outline:10px solid #272727;
  box-shadow: 0 -5px 0 #508a21 inset;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  background-color: #78b447;
  color: #fff;
  border: none;
-webkit-text-stroke:8px #272727;
  paint-order: stroke fill;
  padding-top: 0px;

}

.playbutton:active{
  box-shadow: 0 5px 0 #508a21 inset;
  background-color: #78b447;
  padding-top: 5px;
  padding-bottom: 5px;
}

#outersetting{
  display: flex;
  position: relative;
  width: 100%;
  height: 100%;
  background-color: #644536;
  margin: auto;
  border-radius: 30px;
  border: 10px solid #272727;
  
}

#innersetting{
  display: flex;
  width: 90%;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: #75523c;
  margin: auto;
  border-radius: 25px;
  color: rgb(255, 255, 255);
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  font-size: 18px;
  text-align: right;
  font-weight:bold;
  paint-order: stroke fill;
  flex-direction: column;
}

.settingsClose{
  background-color: rgb(158, 27, 27);
  width: 75px;
  height: 65px;
  outline: none;
  border: 10px solid #272727;
  border-top-left-radius: 20px;
  border-top-right-radius: 20px;
  border-bottom: none;
}

.volumeslide {
  width: 50%; /* Width of the outside container */
}

/* The slider itself */
.slider {
  -webkit-appearance: none;  /* Override default CSS styles */
  appearance: none;
  width: 150px; /* Full-width */
  height: 30px; /* Specified height */
  background: #644536; /* Grey background */
  outline: none; /* Remove outline */
  opacity: 0.7; /* Set transparency (for mouse-over effects on hover) */
  -webkit-transition: .2s; /* 0.2 seconds transition on hover */
  transition: opacity .2s;
  border-radius: 50px;
}

/* Mouse-over effects */
.slider:hover {
  opacity: 1; /* Fully shown on mouse-over */
}

/* The slider handle (use -webkit- (Chrome, Opera, Safari, Edge) and -moz- (Firefox) to override default look) */
.slider::-webkit-slider-thumb {
  -webkit-appearance: none; /* Override default look */
  appearance: none;
  width: 45px; /* Set a specific slider handle width */
  height: 45px; /* Slider handle height */
  background: #04AA6D; /* Green background */
  cursor: url('/img/ui/cursor_pointer.svg') 16 0,pointer;
  border-radius: 100px;
  border:8px solid #08754d
}

.slider::-moz-range-thumb {
  width: 40px; /* Set a specific slider handle width */
  height: 40px; /* Slider handle height */
  background: #04AA6D; /* Green background */
  cursor: url('/img/ui/cursor_pointer.svg') 16 0,pointer;
  border-radius: 100px;
}

.insettingwrapA{
  width: 70%;
  height: fit-content;
  background-color: #845d41;
  padding:10px;
  border-radius: 100px;
  display: flex;
  flex-direction: row;
  margin-top: 5px;
  margin-left: auto;
  margin-right: auto;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 5px;
  -webkit-text-stroke:6px #272727;
padding-left: 20px;
padding-right: 20px;
overflow: hidden;
}
.insettingwrapB{
  width: fit-content;
  height: fit-content;
  background-color: #845d41;
  padding:10px;
  border-radius: 100px;
  display: flex;
  flex-direction: row;
  margin-top: 5px;
  margin-left: auto;
  margin-right: auto;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 5px;
  -webkit-text-stroke:6px #272727;
padding-left: 20px;
padding-right: 20px;
}




/* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

/* Hide default HTML checkbox */
.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.sliderr {
  position: absolute;
  cursor: url('/img/ui/cursor_pointer.svg') 16 0,pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #644536;
  -webkit-transition: .4s,.2s;
  transition: .4s,opacity .2s;
  border-radius: 100px;
  opacity: 0.7; /* Set transparency (for mouse-over effects on hover) */

}

.sliderr:before {
  position: absolute;
  content: "";
  height: 30px;
  width: 30px;
  left: -4px;
  bottom: -6px;
  background-color: #04AA6D;
  -webkit-transition: .4s;
  transition: .4s;
border-radius: 100px;
border:8px solid #08754d;


}
input:checked + .sliderr {
  background-color: #17aa04;
  
}
.sliderr:hover {
  opacity: 1;
}

input:checked + .sliderr:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

.serverlist{
  padding: 8px;
  width: 100%;
  height:100%;
  border-radius: 10px;
  font-size: 20px;
  font-weight:bold;
  background-color: #b4a947;
  color: rgb(255, 255, 255);
  outline: none;
  box-shadow: 0 -5px 0 #8a7f21 inset;
  border-left: none;
  border-right: none;
  border-top: none;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 10px;
  text-align: center;
  line-height: 200%;
  padding-bottom: 13px;
  overflow: hidden;
}

option { 
    /* Whatever color  you want */
    background-color: #82caff;
}

.keybindbutton{
  padding: 15px;
  padding-top: 20px;
  height:45px;
  width:40px;
  font-size: 25px;
  font-weight:bold;
  background-color: rgb(255, 240, 216);
  outline: none;
  border-radius: 15px;
  justify-content: center;
  text-align: center;
  align-items: center;
box-shadow: 0 10px 0 rgb(255, 224, 177) inset;
border:none;
  display: flex;
  white-space: nowrap;
overflow: hidden;
text-overflow: ellipsis;
box-sizing: border-box;
}

.insettingwrapC{
  width: fit-content;
  height: fit-content;
  background-color: #845d41;
  padding:15px;
  border-radius: 100px;
  display: flex;
  flex-direction: row;
  margin-top: 5x;
  margin-left: auto;
  margin-right: auto;
  justify-content: space-between;
  align-items: center;
  margin-top: 5px;
  margin-bottom: 5px;
  gap:5px
}


.mainmenu{
  display:flex;
  opacity: 1;
  
}

.mainmenu.fadeout{
  opacity: 1;
  display: flex;
  animation: fadeInFromNone 0.3s ease-out;
}

.mainmenu.fadein{
  animation: fadeOutFromNone 0.3s ease-out;
  opacity: 0;
  display: none;
}



.settingwrap{
    width: 550px;
  height: fit-content;
  margin:auto;
  position: absolute;
    top: 18%;
  left: 0;
  right: 0;
  flex-direction: column;
  opacity: 0;
  display: none;

}
.settingwrap.fadeout{
  opacity: 1;
  display: flex;
  animation: fadeInFromNone 0.3s ease-out;
  
}
.settingwrap.fadein{

  animation: fadeOutFromNone 0.3s ease-out;
  
}




.customize{
  background-color: #fdc21f;
  width: 190px;
  height: 60px;
  border-radius: 25px;

  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  font-size: 25px;
  text-align: center;
  font-weight:bold;
  color: #fff;
  -webkit-text-stroke:10px #272727;
  paint-order: stroke fill;
  margin: auto;
  outline:10px solid #272727;
  box-shadow: 0 -5px 0 #9e7a2b inset;
  padding-bottom:5px;
  border:none;
  border-radius: 10px;
}

.customize:active{
  background-color: #fdc21f;
  box-shadow: 0 5px 0 #9e7a2b inset;
  padding-bottom: 0px;
  padding-top: 5px;
}

.closebutton{
  background-position: center; 
  background-repeat: no-repeat; 
  width: 90%;
  height: 90%;
}

.customizebutton{
  width: 95px;
  height: 85px;
  outline: none;
  border: 10px solid #272727;
  border-top-left-radius: 20px;
  border-top-right-radius: 20px;
  border-bottom: none;
}

.closebuttonB{
  background-position: center; 
  background-repeat: no-repeat; 
}

.skinbutton{
  width:120px;height: 120px; background-color: #fdc21f; margin-bottom: 15px; margin-top: 15px; margin-left: 15px;margin-right: 15px; border-radius: 20px;outline:10px solid #272727;
  border:none;
  border-radius: 10px;
  padding:20px;
  box-shadow: 0 15px 0 #bd8e29 inset;
  justify-content: center;
  justify-items: center;
  display: flex;
  margin-top: 25px;
}


.skinpiecebutton{
  width:60px;height: 60px; border-radius: 20px;outline:10px solid #272727;
  border:none;
  border-radius: 5px;
  
  justify-content: center;
  justify-items: center;
  display: flex;
  box-shadow: 0 15px 0 #66814c inset;
  background-color: #9ab384
}
.skinpiecebuttonimg{
  width: 55px;
  height: 55px;
  background-repeat: no-repeat;
  background-position: center; 
}


.skinpiecebuttonimgbig{
  width: 100px;
  height: 100px;
  background-repeat: no-repeat;
  background-position: center; 
  margin: auto;
  margin-top: -5px;
}


.skinbuttongray{
  width:130px;height: 130px; background-color: #464646; margin-bottom: 15px; margin-top: 15px; margin-left: 15px;margin-right: 15px; border-radius: 20px;outline:10px solid #272727;
  border:none;
  border-radius: 10px;
  padding:20px;
  box-shadow: 0 15px 0 #383838 inset;
  justify-content: center;
  justify-items: center;
  display: flex;
  opacity: 0;
}
.skinpiecebutton:active{
  box-shadow: 0 15px 0 #95be6f inset;
  background-color: #c6e6a9
}
.innericon:active{
  background-color: #1f1f1f;
  border-bottom: 0px solid #272727;
  border-top: 8px solid #272727;
}

.noimagedrag{
   user-select: none;
   -moz-user-select: none;
   -webkit-user-drag: none;
   -webkit-user-select: none;
   -ms-user-select: none;
}

button{
  cursor: url('/img/ui/cursor_pointer.svg') 16 0,pointer;
}
a{
  cursor: url('/img/ui/cursor_pointer.svg') 16 0,pointer;
}

.skinname{
  display: flex;
  flex-direction: column;
  font-size: 25px;
  text-align: center;
  -webkit-text-stroke:10px #272727;
  paint-order: stroke fill;
  padding: 10px;

  border-radius: 20px;
  background-color: #75523c;
}

.colorpiecebutton{
  min-width: 75px;min-height: 75px;
  width:75px;height: 75px; ; border-radius: 20px;outline:10px solid #272727;
  border:none;
  border-radius: 10px;
  padding:20px;
  justify-content: center;
  justify-items: center;
  display: flex;
  font-size: 100%;
  color: rgba(255, 255, 255);
  -webkit-text-stroke:8px #272727;
  line-height: 175%;
  margin:10px;
}


.backgroundpiecebutton{
  min-width: 125px;min-height: 125px;
  width:125px;height: 125px; ; border-radius: 20px;outline:10px solid #272727;
  border:none;
  border-radius: 10px;
  padding:20px;
  justify-content: center;
  justify-items: center;
  display: flex;
  margin:15px;
  background-repeat: no-repeat; background-size: cover;
}


.backgrounpiecetext{
  font-size: 20px;
  align-items: center;
  justify-content: center;
  display: flex;
  align-items: center;
}

.warchess{
  width: 450px;
}

#largemessage{
left:0;
right: 0;
top:17%;
  margin:auto;
  font-size: 60px;
  position: absolute;
  justify-self: center;
  text-align: center;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  color:#fff;
  -webkit-text-stroke: 10px rgb(0, 0, 0);
  paint-order: stroke fill;
  user-select: none;
  opacity: 0;
  display: none;
}

#largemessage.fadeout{
  opacity: 1;
  display: flex;
  animation: fadeInFromNone 0.3s ease-out;
  
}
#largemessage.fadein{

  animation: fadeOutFromNone 0.3s ease-out;
  
}
@keyframes fadeInFromNone {
    0% {
        display: none;
        opacity: 0;
    }

    1% {
        display: flex;
        opacity: 0;
    }

    100% {
        display: flex;
        opacity: 1;
    }
}
@keyframes fadeOutFromNone {
    0% {
        display: flex;
        opacity: 1;
    }

    1% {
        display: flex;
        opacity: 1;
    }

    100% {
        display: none;
        opacity: 0;
    }
}

@keyframes opacityplus {
0% {
opacity: 0;
}
100% {
opacity: 1;
}
}

.hoverbright:hover{
  filter: brightness(115%);
}
.unitbuttondiv:hover{
  filter: brightness(115%);
}
.colorpiecebutton:hover{
  filter: brightness(115%);
}
.backgroundpiecebutton:hover{
    filter: brightness(115%);
}
html{
  cursor: url('/img/ui/cursor_default.svg') 2 0,default;
}
html.grabbing{
  cursor: url('/img/ui/cursor_grabbing.svg') 16 5,grabbing;
}

.deathcause{
  width: 100%;
  height: auto;font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  text-align: center;
  font-weight:bold;
  color: #fdc21f;
  -webkit-text-stroke:6px #272727;
  paint-order: stroke fill;
  margin: auto; text-align: center;
}

.changelogtext{
  width: auto;
  height: fit-content;
  background-color: #845d41;
  border-radius: 25px;
  display: flex;
  flex-direction: row;
  margin-top: 5px;
  margin-left: 25px;
  margin-right: 25px;
  align-items: left;
  margin-bottom: 5px;
  -webkit-text-stroke:6px #272727;
  padding-left: 20px;
  padding-right: 20px;
}
.changelogimage{
  width: 360px;
  height: 240px;
  background-color: #272727;
  padding:10px;
  border-radius: 25px;
  display: flex;
  flex-direction: row;
  margin-left: 25px;
  margin-right: 25px;
  align-items: left;
  -webkit-text-stroke:6px #272727;
}

.cornerchangelogtext{
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  text-align: center;
  font-weight:bold;  color: #fff;-webkit-text-stroke:8px #272727; paint-order: stroke fill; 
}

.serveroption{
  font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  color: white;
  border-radius: 5px;
  font-size: 20px;
  font-weight:bold;
  background-color: #b4a947;
  box-shadow: 0 -5px 0 #8a7f21 inset;

  text-align: center;

}

